PCRE2_SET_CALLOUT(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_callout(pcre2_match_context *mcontext,
  int (*callout_function)(pcre2_callout_block *),
  void *callout_data);

DESCRIPTION

This function sets the callout fields in a match context (the first argument). The second argument specifies a callout function, and the third argument is an opaque data item that is passed to it. The result of this function is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.